### A free/open-source library for quantitative finance

Public Member Functions
Tree< T > Class Template Reference
Lattice methods

Tree approximating a single-factor diffusion More...

`#include <ql/methods/lattices/tree.hpp>`

Inheritance diagram for Tree< T >:
[legend]

List of all members.

## Public Member Functions

| Tree (Size columns)
Size | columns () const

## Detailed Description

### template<class T>
class QuantLib::Tree< T >

Tree approximating a single-factor diffusion

Derived classes must implement the following interface:

            public:
              Real underlying(Size i, Size index) const;
              Size size(Size i) const;
              Size descendant(Size i, Size index, Size branch) const;
              Real probability(Size i, Size index, Size branch) const;

and provide a public enumeration

            enum { branches = N };

where N is a suitable constant (2 for binomial, 3 for trinomial...)